
From: Yury Umanets <torque@ukrpost.net>

Fixes memory allocation check in mtdblock_open()

Signed-off-by: Yury Umanets <torque@ukrpost.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/mtd/mtdblock.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/mtd/mtdblock.c~266-memory-allocation-checks-in-mtdblock_open drivers/mtd/mtdblock.c
--- 25/drivers/mtd/mtdblock.c~266-memory-allocation-checks-in-mtdblock_open	2004-06-07 21:55:42.047999096 -0700
+++ 25-akpm/drivers/mtd/mtdblock.c	2004-06-07 21:55:42.050998640 -0700
@@ -275,7 +275,7 @@ static int mtdblock_open(struct mtd_blkt
 	
 	/* OK, it's not open. Create cache info for it */
 	mtdblk = kmalloc(sizeof(struct mtdblk_dev), GFP_KERNEL);
-	if (!mtdblks)
+	if (!mtdblk)
 		return -ENOMEM;
 
 	memset(mtdblk, 0, sizeof(*mtdblk));
_
